# POST /v4/overrides/check

_Merkl API_

Validate if an override is allowed. Checks: (1) rewardToken cannot change, (2) amount cannot change, (3) startTimestamp cannot change after campaign starts, (4) endTimestamp must be in future.

## Request body

**`application/json`**
```json
{
  "type": "object",
  "properties": {
    "oldConfig": {},
    "newConfig": {}
  },
  "required": [
    "oldConfig",
    "newConfig"
  ]
}
```
**`application/x-www-form-urlencoded`**
```json
{
  "type": "object",
  "properties": {
    "oldConfig": {},
    "newConfig": {}
  },
  "required": [
    "oldConfig",
    "newConfig"
  ]
}
```
**`multipart/form-data`**
```json
{
  "type": "object",
  "properties": {
    "oldConfig": {},
    "newConfig": {}
  },
  "required": [
    "oldConfig",
    "newConfig"
  ]
}
```

## Responses

- **200** Response for status 200

## Example request

```bash
curl -X POST "https://api.merkl.xyz//v4/overrides/check" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ ... }'
```